/* ----- ID-Box ----- */

/* Top of ID-Box with more than one element: Only top and side borders */
#block-wisski-theme-content > div.field--type-string.field--label-inline:first-child:not(:only-child),
#block-wisski-theme-content > div.field--type-string.field--label-above:first-child:not(:only-child),
/* Include URLs in box */
#block-wisski-theme-content > div.field--type-link.field--label-above:first-child:not(:only-child) {
    border-radius: 16px 0px 0px 0px;
    border-left: 5px solid rgb(7, 45, 87);
    border-right: 5px solid rgb(7, 45, 87);
    border-top: 5px solid rgb(7, 45, 87);
    padding-left: 2%;
    padding-top: 2%;
    padding-bottom: 0.5%;
}

/* Middle of ID-Box with more than one element: Only side borders */
#block-wisski-theme-content > div.field--type-string.field--label-inline:not(:only-child):not(:first-child):not(:last-child),
#block-wisski-theme-content > div.field--type-string.field--label-above:not(:only-child):not(:first-child):not(:last-child),
/* Include URLs in box */
#block-wisski-theme-content > div.field--type-link.field--label-above:not(:only-child):not(:first-child):not(:last-child){
    border-left: 5px solid rgb(7, 45, 87);
    border-right: 5px solid rgb(7, 45, 87);
    padding-left: 2%;
    padding-bottom: 0.5%;
}

.field-readmore.field--type-string.field--label-above {
  padding-bottom: 2%;
}

/* Last of ID-Box with more than one element AND next element is entity reference: Only bottom border */
#block-wisski-theme-content > div.field--type-string.field--label-above:not(:only-child):has(+ .field--type-entity-reference),
/* Include URLs in box */
#block-wisski-theme-content > div.field--type-link.field--label-above:not(:only-child):has(+ .field--type-entity-reference) {
    border-radius: 0px 0px 16px 0px;
    border-left: 5px solid rgb(7, 45, 87);
    border-right: 5px solid rgb(7, 45, 87);
    border-bottom: 5px solid rgb(7, 45, 87);
    padding-left: 2%;
    padding-bottom: 2%;
    margin-bottom: 5%;
}

/* Last of ID-Box with more than one element AND no entity reference after: Only bottom border */
#block-wisski-theme-content > div.field--type-string.field--label-above:not(:only-child):last-child,
/* Include URLs in box */
#block-wisski-theme-content > div.field--type-link.field--label-above:not(:only-child):last-child{
    border-radius: 0px 0px 16px 0px;
    border-left: 5px solid rgb(7, 45, 87);
    border-right: 5px solid rgb(7, 45, 87);
    border-bottom: 5px solid rgb(7, 45, 87);
    padding-left: 2%;
    padding-bottom: 2%;
    margin-bottom: 5%;
}

/* Only one element in ID-box: Borders on all four sides */
#block-wisski-theme-content > div.field--type-string.field--label-above:only-child,
#block-wisski-theme-content > div.field--type-link.field--label-above:only-child {
  border-radius: 16px 0px 16px 0px;
  border: 5px solid rgb(7, 45, 87);
  padding-left: 2%;
  padding-top: 2%;
  padding-bottom: 2%;
  margin-bottom: 5%;
}


/* ----- Abbildung ----- */

/* Image Container */
#block-wisski-theme-content > div.field--type-image.field--label-above {
  min-width: 10%;
  max-width: 40%;
  border: 5px solid rgb(7, 45, 87);
  border-radius: 16px 0px 16px 0px;
  margin-bottom: 30px;
  margin-top: -135px !important;
  margin-right: -30px;
  background-color: white;
  padding-bottom: 20px;
  float: right;
  position: relative;
  z-index: 20;
  min-height: 100px;
  text-align: center;
}

/* Other images (not Abbildung) */
.field--name-f4f479bc677e9d7100a9d4b096a76312 {
  min-width: 10%;
  max-width: 40%;
  border: 5px solid rgb(7, 45, 87);
  border-radius: 16px 0px 16px 0px;
  margin-bottom: 30px;
  margin-top: -685px !important;
  background-color: white;
  padding-bottom: 20px;
  float: right;
  position: relative;
  z-index: 20;
  min-height: 100px;
  text-align: center;
}


/* ----- Main Bundles ----- */

/* --- Containers --- */
#block-wisski-theme-content > .field--type-entity-reference {
  margin-bottom: 30px;
  margin-top: 15px;
  border: 6px solid rgb(12, 67, 129) !important;
  border-radius: 16px 0px 16px 0px;
  padding-bottom: 0px;
}

/* --- Labels --- */
#block-wisski-theme-content > .field--type-entity-reference > .field__label,
/* Label of Abbildung */
#block-wisski-theme-content > div.field--type-image.field--label-above > .field__label {
  margin-top: 0px;
  margin-bottom: 20px;
  padding-left: 0.3%;
  border-radius: 8px 0px 0px 0px;
  padding: 15px;
  background-color: rgb(10, 57, 112);
  color: white;
  vertical-align: top;
}

/* ----- Sub Bundles: All ----- */

/* --- Containers --- */
#block-wisski-theme-content > .field--type-entity-reference > .field__items {
  width: 100% !important;
}


/* ----- Sub Bundles: First Level ----- */

/* --- Level Container --- */
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item {
  max-width: 100%;
  margin-bottom: 0.5%;
  margin-left: 0.75%;
  margin-right: 0.1% !important;
  border-left: 3px solid rgb(0, 95, 142);
  border-bottom: 3px solid rgb(0, 95, 142);
  border-radius: 5px 0px 5px 5px;
  padding: 0.5% 0.5% 0.5% 0.5%;
  overflow-wrap: break-word;
}

/* --- Individual First Level Bundle Containers --- */
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item:not(:first-of-type):not(:last-of-type):not(details):not(:has(+ details)) {
  margin-top: 0.5%;
  margin-bottom: 0.95%;
  padding-bottom: 0.95%;
  border-bottom: 2px dashed rgb(173, 173, 173);
}

/* First Element */
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item:first-of-type:not(:last-of-type):not(details):not(:has(+ details)) {
  margin-bottom: 0.95%;
  border-bottom: 2px dashed rgb(173, 173, 173);
  padding-bottom: 0.95%;
}

/* Last Element */
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item:last-of-type {
  margin-top: 0.5%;
}

/* ----- Sub Bundles: Second Level ----- */

/* --- Level Container --- */
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items {
  padding-left: 0.5%;
}

#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item > .field--label-above > .field__label:before {
  content: "•";
  margin-left: 0.5%;
  margin-right: 0.25%;
}



/* ----- Sub Bundles: Third Level ----- */

/* --- Labels --- */
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item > .field--label-above > .field__items > .field__item,
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item > .field--label-above > .field__item {
  margin-left: 1.75%;
}

/* --- Values  --- */
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item > .field--label-above > .field__items > .field__item > .field--label-above > .field__items > .field__item,
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item > .field--label-above > .field__items > .field__item > .field--label-above > .field__item,
#block-wisski-theme-content > .field--type-entity-reference > .field__items  > .field__item > .field--label-above > .field__items > .field__item > .field--label-above > .field__item > .field--label-above > .field__item {
  margin-left: 0.5%;
}